"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AggregatedIndividualMendelErrors(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_6 import metrics as metrics_1_2_2

        return {
            "org.gel.models.metrics.avro.AggregatedIndividualMendelErrors": metrics_1_2_2.AggregatedIndividualMendelErrors,
        }

    __slots__ = [
        "sampleId",
        "totalnumberOfMendelErrors",
    ]

    def __init__(
        self,
        sampleId=None,
        totalnumberOfMendelErrors=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_2.AggregatedIndividualMendelErrors model.

        :param sampleId:
            Sample Id
        :type sampleId: None | str
        :param totalnumberOfMendelErrors:
            Total number of Mendelian errors per sample considering all nuclear
            families
        :type totalnumberOfMendelErrors: None | double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.2"
